summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2018-12-01 14:27:15 +0100
committerJeroen Roovers <jer@gentoo.org>2018-12-01 14:27:50 +0100
commitba909937189940a6be301f664001407825cd614e (patch)
treec113e381bc7bd68cb06e95da705ae312f4087899 /sys-apps/dtc
parentvirtual/cron: EAPI bump (diff)
downloadgentoo-ba909937189940a6be301f664001407825cd614e.tar.gz
gentoo-ba909937189940a6be301f664001407825cd614e.tar.bz2
gentoo-ba909937189940a6be301f664001407825cd614e.zip
sys-apps/dtc: Version 1.4.7
Add USE="test valgrind" as the test suite fails without it. This is already fixed upstream where Makefile checks before use so the live ebuild did not require this change. Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Jeroen Roovers <jer@gentoo.org>
Diffstat (limited to 'sys-apps/dtc')
-rw-r--r--sys-apps/dtc/Manifest1
-rw-r--r--sys-apps/dtc/dtc-1.4.7.ebuild61
-rw-r--r--sys-apps/dtc/metadata.xml3
3 files changed, 65 insertions, 0 deletions
diff --git a/sys-apps/dtc/Manifest b/sys-apps/dtc/Manifest
index da4e8c2c8d1..f5144bbe655 100644
--- a/sys-apps/dtc/Manifest
+++ b/sys-apps/dtc/Manifest
@@ -3,3 +3,4 @@ DIST dtc-1.4.2.tar.xz 112480 BLAKE2B 922e4924bd9672b7b5a28fbe6a02a685bcb87909356
DIST dtc-1.4.3.tar.xz 122732 BLAKE2B 94fe96dc846937ff8e405c4be36a32f0f320bdc6c608e95845227b6e9ab3e4c02643dd1169fd0c8c64777fa2ead8dd1cf0fc1cd2173450c23af124645f2c8b10 SHA512 ce9f39cef11f3e7048e8491f01844071bf54911ec36a0d2f2e1ed6c736b7e1a67be83cd2527895a686882d895142db020bf5131a282e0d68d1f4d32dc772db42
DIST dtc-1.4.4.tar.xz 122748 BLAKE2B efef8ae46033bb2012aabc414ca4af78a44b1d2534be23c58004d970245a219d7d0d86c1c44cfb834f07410240dc5b8c8f926654cf73d018e5e1d625045f4d2f SHA512 20689f7b0489fa945c4df4e27084dfd46fd5512a8dff9b28d60e0cd0e9e79bbd9944e4d70a1aba86a026481b35bb5441ed6b63d306a4a8f7581517f7359fa9bf
DIST dtc-1.4.6.tar.xz 137868 BLAKE2B a2c7e5bf1afa70f827ed5b7dadc2dba58d7b67ebf3334386ff782c46688a9ffdc9c969523225de2c32fbcaa5db0ebaf157bbf8a0be182b13cfbcafdd981b04d9 SHA512 b52862159cbf9e6e8e1ecb5844e16c81a0b9c4df255366f8a48b15cb7e080754c142da7432de2542485fce70bb2a4fa76df6d1f93cbf0118e8dbe677153b9da8
+DIST dtc-1.4.7.tar.xz 148940 BLAKE2B c7f5ade14a3d1fb3cf51b51e1a332eda03bcde1df01a2dc6eaa10346b7c2d03d2305d9ac6938ca78bb518e5cc07de1d5c018eb1f6623de337645c588b468d8f8 SHA512 01e0c88aee154d8ce8a5b84a299c98d12df9698e5eff572409e5e912236028532309fd21ca6a146dffef859c665d476bbbe13c371c621c1dee4abe546e5e6ebf
diff --git a/sys-apps/dtc/dtc-1.4.7.ebuild b/sys-apps/dtc/dtc-1.4.7.ebuild
new file mode 100644
index 00000000000..2febabaf698
--- /dev/null
+++ b/sys-apps/dtc/dtc-1.4.7.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit multilib toolchain-funcs eutils
+
+if [[ ${PV} == "9999" ]] ; then
+ EGIT_REPO_URI="git://git.kernel.org/pub/scm/utils/dtc/dtc.git"
+ inherit git-r3
+else
+ SRC_URI="mirror://kernel/software/utils/${PN}/${P}.tar.xz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+fi
+
+DESCRIPTION="Open Firmware device tree compiler"
+HOMEPAGE="https://devicetree.org/ https://git.kernel.org/cgit/utils/dtc/dtc.git/"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="static-libs test valgrind"
+REQUIRED_USE="
+ test? ( valgrind )
+"
+
+DEPEND="
+ sys-devel/bison
+ sys-devel/flex
+ valgrind? ( dev-util/valgrind )
+"
+DOCS="
+ Documentation/dt-object-internal.txt
+ Documentation/dts-format.txt
+ Documentation/manual.txt
+"
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.4.4-posix-shell.patch
+)
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e '/^CFLAGS =/s:=:+=:' \
+ -e '/^CPPFLAGS =/s:=:+=:' \
+ -e 's:-Werror::' \
+ -e 's:-g -Os::' \
+ -e "/^PREFIX =/s:=.*:= ${EPREFIX}/usr:" \
+ -e "/^LIBDIR =/s:=.*:= \$(PREFIX)/$(get_libdir):" \
+ Makefile || die
+
+ tc-export AR CC
+ export V=1
+}
+
+MAKEOPTS="${MAKEOPTS} NO_PYTHON=1"
+
+src_install() {
+ default
+
+ use static-libs || find "${ED}" -name '*.a' -delete
+}
diff --git a/sys-apps/dtc/metadata.xml b/sys-apps/dtc/metadata.xml
index bc8ad1abc48..dc23f51483f 100644
--- a/sys-apps/dtc/metadata.xml
+++ b/sys-apps/dtc/metadata.xml
@@ -8,4 +8,7 @@
<email>ppc@gentoo.org</email>
<name>Gentoo Linux PowerPC Development</name>
</maintainer>
+<use>
+<flag name='valgrind'>Use <pkg>dev-util/valgrind</pkg> in test phase</flag>
+</use>
</pkgmetadata>